declare interface IClientXY {
    clientX: number;
    clientY: number;
}
declare interface IOptions {
    start?: (event: Event, clientXYInfo: IClientXY) => void;
    ing?: (event: Event, clientXYInfo: IClientXY) => void;
    end?: (event: Event, clientXYInfo: IClientXY) => void;
}
declare class Drag {
    optionsDrag: IOptions;
    private _isDragging;
    private _bindRunDragStart;
    private _bindRunDragIng;
    private _bindRunDragEnd;
    constructor(element: HTMLElement | null, options: IOptions);
    private _init;
    private _runDragStart;
    private _runDraggIng;
    private _runDragEnd;
    private _offListener;
    end(): void;
}
export default Drag;
